# saga::context Class Reference

The saga::context class provides the functionality of a security information container. More...

`#include <context.hpp>`

Inheritance diagram for saga::context:

[legend]

List of all members.

## Public Member Functions
| context (std::string const &ctxtype="")
| Brief description starts here.
| context (saga::object const &o)
| Creates a security context.
| ~context ()
| Destroys a security context.
context & | operator= (saga::object const &o)
| Brief description starts here.
## Friends
bool | operator== (context const &lhs, context const &rhs)
| Brief description starts here.

## Detailed Description

The saga::context class provides the functionality of a security information container.

A context gets created, and attached to a session handle. As such it is available to all objects instantiated in that session. Multiple contexts can co-exist in one session - it is up to the implementation to choose the correct context for a specific method call. Also, a single saga::context instance can be shared between multiple sessions. SAGA objects created from other SAGA objects inherit its session and thus also its context(s).

## Constructor & Destructor Documentation

saga::context::context | ( | std::string const & | ctxtype = `""` | ) | `[explicit]`

Brief description starts here.

saga::context::context | ( | saga::object const & | o | ) | `[explicit]`

Creates a security context.

Returns:
  The newly created object.

References saga::BadParameter, saga::object::Context, and saga::object::get_type().

saga::context::~context | ( | void |  | ) |

Destroys a security context.

## Member Function Documentation

context & saga::context::operator= | ( | saga::object const & | o | ) |

Brief description starts here.

## Friends And Related Function Documentation

bool operator== | ( | context const & | lhs,
|  | context const & | rhs |
| ) |  |  | `[friend]`

Brief description starts here.

The documentation for this class was generated from the following files:

- context.hpp
- context.cpp